#
# spec file for package mutt (Version 1.3.27i)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  autoconf automake cyrus-sasl cyrus-sasl-devel cyrus-sasl-gssapi gettext glibc-i18ndata gpg heimdal heimdal-devel heimdal-lib ispell openssl openssl-devel pgp sgmltool slang sp sp-devel
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib cyrus-sasl-devel cyrus-sasl-gssapi gcc gdbm gettext glibc-i18ndata gpg heimdal heimdal-devel heimdal-lib ispell libtool libz openssl openssl-devel pam perl pgp rpm sgmltool slang sp sp-devel

Name:         mutt
%define ver   1.3.27
License:      GPL
Group:        Productivity/Networking/Email/Clients
URL:          http://www.mutt.org
Provides:     muttssl
Obsoletes:    muttssl
Requires:     smtp_daemon
Autoreqprov:  on
Version:      1.3.27i
Release:      77
Summary:      Mail program
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      mutt-%{version}.tar.bz2
#Source1: manual-1.2.5.txt.bz2
Patch:        mutt-%{version}.dif
Patch1:       patch-1.3.27.rr.compressed.1.bz2
Patch2:       patch-iconv.dif
Patch3:       pgpewrap.dif
Patch4:       %{name}-%{version}-utf7buf.diff

%description
Very powerful mail user agent.
Supports (amongst other nice things) highlighting, threading and PGP.
It takes some time to get used to it, though.

Authors:
--------
    Michael Elkins <me@cs.hmc.edu>
    Thomas Roessler <roessler@does-not-exist.org>

SuSE series: n

%prep
%setup -n mutt-%{ver}
#cat $RPM_SOURCE_DIR/manual-1.2.5.txt.bz2 | bunzip2 > doc/manual-1.2.5-de.txt
%patch  -p1
%patch1 -p1
%patch2 -p0
%patch3
%patch4 -p1
cp Muttrc Muttrc.SuSE

%build
CC=gcc
CFLAGS="-Wall ${RPM_OPT_FLAGS} -pipe -I. -D_GNU_SOURCE"
export CC CFLAGS
%{?suse_update_config}
autoreconf --force --install
./configure ${RPM_ARCH}-suse-linux \
	--disable-domain \
	--prefix=/usr \
	--datadir=/usr/share \
	--sysconfdir=/etc \
	--mandir=%{_mandir} \
	--with-docdir=%{_defaultdocdir}/mutt \
	--enable-imap \
	--enable-pop \
	--with-ssl=/usr \
	--enable-nfs-fix \
	--enable-compressed \
	--with-sasl
#	--with-slang
#	--with-gss=/usr/lib/heimdal
#	--enable-buffy-size
make

%install
make install DESTDIR=${RPM_BUILD_ROOT} AM_INSTALL_PROGRAM_FLAGS=-s
mv Muttrc.SuSE ${RPM_BUILD_ROOT}/etc/Muttrc
gzip -9 doc/manu*.txt
# datadir not automatically created:
mkdir -p ${RPM_BUILD_ROOT}/usr/share/mutt
rm -r ${RPM_BUILD_ROOT}/usr/share/locale/zh_CN/
mv ${RPM_BUILD_ROOT}/usr/share/locale/zh_TW/  ${RPM_BUILD_ROOT}/usr/share/locale/zh/

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%doc doc/manual*.html doc/manual.txt.gz
%doc doc/PGP-Notes.txt doc/applying-patches.txt doc/devel-notes.txt
%doc COPYRIGHT INSTALL README* NEWS TODO
%doc contrib/*.rc
/usr/bin/flea
/usr/bin/mutt
/usr/bin/pgpewrap
/usr/bin/pgpring
%doc %{_mandir}/man1/flea.1.gz
%doc %{_mandir}/man1/mutt.1.gz
%doc %{_mandir}/man1/mutt_dotlock.1.gz
%doc %{_mandir}/man5/muttrc.5.gz
%doc %{_mandir}/man5/mbox.5.gz
/usr/share/locale/*/LC_MESSAGES/mutt.mo
/usr/share/mutt
%config /etc/Muttrc

%changelog -n mutt
* Thu Mar 20 2003 - mmj@suse.de
- Fix buffer overflow in imap/utf7.c
* Wed Mar 20 2002 - mmj@suse.de
- Fix segfault in pgpewrap when invoked with incorrect arguments.
  Fixes Bug #15213, patch from axboe@
* Sun Feb 24 2002 - mmj@suse.de
- Re-added patches known to work very well, but that was left out
  to evaluate vanilla 1.3.27i:
- Compressed folder support
- Iconv patch that fixes qp problems in multibyte locales
* Thu Feb 14 2002 - schwab@suse.de
- Don't add /usr/include to include search path.
* Mon Feb 04 2002 - mmj@suse.de
- Updated to newest beta-release 1.3.27
* Wed Jan 02 2002 - poeml@suse.de
- add patch-1.2,3.rfc822_terminate.1 which fixes a remote
  exploitable string buffer overflow
  (minus hunks #8 and #10 which are already in 1.3.22.1)
* Tue Sep 18 2001 - bjacke@suse.de
- fix a possible segfault for a certain search pattern
- fix a possible crash scenario when using gpg and attachments
* Tue Sep 04 2001 - bjacke@suse.de
- fix some memory leaks in imap code
- fix bug where non-regular files could be attached
- po updates
* Sun Sep 02 2001 - bjacke@suse.de
- update to 1.3.22.1
* Fri Aug 24 2001 - bjacke@suse.de
- update to 1.3.21 which fixes some MH bugs and others
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Thu Jul 26 2001 - bjacke@suse.de
- update to 1.3.20
- patched to speed up mbox-sort from n^2 to n*log(n)
* Sat Apr 28 2001 - bjacke@suse.de
- another l10n fix
- save manuals gzipped
* Wed Apr 25 2001 - mfabian@suse.de
- remove "fuzzy" in header of ja.po. When the header is marked
  as "fuzzy", the charset will not be written to the .mo file
  and mutt will not show Japanese messages correctly.
- don't convert string received from gettext again, the new
  version of gettext already does the conversion to the charset
  of the current locale.
* Thu Apr 19 2001 - bjacke@suse.de
- fixed a buffer underrun
- fixed possible segfault (#6979)
- redisabled buffy fix
* Sun Mar 25 2001 - bjacke@suse.de
- update to 1.3.16i
- dropped superfluous additional options patch
- add compressed folder patch
- activated buffy fix to circumvent recent NFS a-time problems
* Wed Jan 31 2001 - bjacke@suse.de
- fixed version in specfile
* Thu Jan 25 2001 - bjacke@suse.de
- dropped tmp patch wich did more bad than good
* Wed Jan 10 2001 - bjacke@suse.de
- fixed latest fix
* Tue Jan 09 2001 - bjacke@suse.de
- applied tmp file patch
- added smtp_daemon to requires
* Mon Dec 18 2000 - bjacke@suse.de
- merged muttssl and mutt
* Mon Dec 11 2000 - bjacke@suse.de
- enable fcntl and disable flock locking
* Tue Nov 28 2000 - bjacke@suse.de
- update to 1.3.12i due to glibc 2.2 locale issues
- fixed neededforbuild (bug 4254)
- minor specfile changes
* Mon Sep 04 2000 - vinil@suse.cz
- czech po file corrected
* Mon Jul 31 2000 - werner@suse.de
- Update to 1.2.5i due bug fixes (IMAP, SIGSEGV in curs_main.c)
* Fri Jul 07 2000 - werner@suse.de
- Update to 1.2.4i due to fixes (IMAP, SSL, ...) done in 1.2.3
  and 1.2.4
* Thu Jun 29 2000 - werner@suse.de
- Split spec of mutt and muttssl to avoid conflicts during build
- Use different build root to avoid mixed versions
- Update to 1.2.2i to avoid bugs in SSL code, core dumps, and
  mailbox corruption
* Mon May 15 2000 - werner@suse.de
- Update to new version 1.2i
  * move changes to 1.2i
  * enable SSL for imap
  * add *.rc from contrib path to doc (samples for pgp using)
- Split mutt into mutt and muttssl
* Wed Mar 08 2000 - werner@suse.de
- Disable --enable-exact-address because it fools the users by
  asking questions for nothing.
* Tue Feb 22 2000 - werner@suse.de
- Fix programming bug: ncurses now does what the docu says.
  Therefore use_default_color() should be called only once
  after start_color().
* Tue Jan 25 2000 - werner@suse.de
- New version 1.0.1i with some minor bug fixes
* Tue Jan 25 2000 - kasal@suse.de
- urlview moved to a new package
* Tue Jan 18 2000 - werner@suse.de
- /usr/man -> /usr/share/man
- target is ${RPM_ARCH}-suse-linux and nothing more
* Tue Jan 18 2000 - werner@suse.de
- New mutt version 1.0i
  * patch for two letter year (e.g. 00)
- New urlview version
  * A SuSE url_handler.sh script
  * A SuSE urlview.conf
* Mon Oct 18 1999 - garloff@suse.de
- highlight_unread sometimes didn't work. Fixed.
* Thu Oct 14 1999 - garloff@suse.de
- Added contrib/Pine.rc and Mush.rc to as %%docs
* Wed Oct 13 1999 - garloff@suse.de
- Two new options: "delete_tilde" and "highlight_unread".
  The meaning is obvious ...
* Fri Oct 01 1999 - werner@suse.de
- Added gpg in neededforbuild to get both pgp and gpg
  path included into mutt.
* Tue Sep 28 1999 - werner@suse.de
- Put urlview into mutt package
- Use changes Muttrc instead of my.Muttrc
  * there is no variable web_browser anymore
- Require ispell to get spell feature
- A few sample muttrc and urlview(rc) for aaa_skel
* Tue Sep 28 1999 - ro@suse.de
- update to 1.0pre3
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 20 1999 - florian@suse.de
- update to 0.95.6i
* Wed Apr 14 1999 - ro@suse.de
- use gettext in neededforbuilt (builtin won't work)
* Tue Apr 06 1999 - ro@suse.de
- update to 0.95.4i
* Thu Dec 03 1998 - bs@suse.de
- added sp and sp_libs to neededforbuild
* Wed Dec 02 1998 - bs@suse.de
- use sgmtools instead of linuxdoc for build
* Wed Jul 29 1998 - florian@suse.de
- add security patch
* Sun Jul 19 1998 - florian@suse.de
- update to version 0.93.1i
* Thu Feb 05 1998 - florian@suse.de
- update to version 0.89.1
* Thu Oct 09 1997 - florian@suse.de
- update to version 0.85
* Tue May 20 1997 - florian@suse.de
- update to version 0.74
* Sun Apr 13 1997 - florian@suse.de
- update to new version 0.69
* Tue Jan 28 1997 - florian@suse.de
- update to new version 0.59
- pgp-support is enabled
* Thu Jan 02 1997 - florian@suse.de
- update to version 0.52
* Thu Jan 02 1997 - florian@suse.de
- update to version 0.51
* Thu Jan 02 1997 - florian@suse.de
- update to version 0.50
* Thu Jan 02 1997 - florian@suse.de
- update to version 0.49
* Thu Jan 02 1997 - florian@suse.de
- Neue Version 0.48.1 mit vielen Veraenderungen.
- Anpassungen fuer eine korrekte Host-Absenderadresse.
- Umstieg auf non-sgid-mail spool-Verzeichnis.
* Thu Jan 02 1997 - florian@suse.de
- update to newer version
  Mon Sep  2 03:06:07 MET DST 1996
  new version.
